#ifndef METRIC_H
#define METRIC_H
#include "opencv2/opencv.hpp"
#include "opencv2/core.hpp"
#include "opencv2/highgui.hpp"
#include "opencv2/imgproc.hpp"
#include "opencv2/imgcodecs.hpp"

using namespace cv;
using namespace  std;

class Metric
{
private:
    double globalAUCvalue;
    unsigned long int whiteHistogramPixels;
    unsigned long int blackHistogramPixels;
    unsigned long int whiteHistogram[256];
    unsigned long int blackHistogram[256];
public:
    Metric();
    double getLCC(const Mat& a, const Mat& b);

    void calculateAUC(const Mat& a, const Mat& b, int frameNumber);
    double getGlobalAUC(int numberOfFrames);
    void drawGlobalAUCplot();
    void saveAUC();

    double getKLD(const Mat& a, const Mat& b);
    double getJ(const Mat& a, const Mat& b);
    double getMSE(const Mat& a, const Mat& b);
    double getScalar(const Mat& a, const Mat& b);
};

#endif // METRIC_H
